package com.jasamedika.medifirst2000.vo;

import java.util.HashSet;
import java.util.Set;

public class SuratMasukKeInternalVO {
	//File 
	private String fileLocation;
	private String fileName;
	private String bodyFile;
	
	private Integer idDokumen;
	private Integer bulan;
	private Integer tahun;
	
	private String perihal;
	private String perihalLampiran;
	private String jangkaWaktuRange;
	
	private SifatSuratVO sifatSurat;
	private StatusBerkasVO statusBerkas;
	private JenisSuratVO jenisSurat; 
	private PegawaiVO petugasKirim;
	private PegawaiVO pegawaiPenerima;
	private RuanganVO ruanganPenerima;
	private String noSurat;
	private String lampiran;
	private Set<RuanganVO> ruanganTujuan=new HashSet<RuanganVO>();
	private JenisArsipVO jenisArsip;
	private String jangkaWaktu;
	private MetodeKirimVO metodeKirim;
	private UnitPengelolaPrakarsaSuratVO unitPengelolaPrakarsaSurat;
	private TipePengirimSuratVO tipePengirimSurat;
	public String getFileLocation() {
		return fileLocation;
	}
	public void setFileLocation(String fileLocation) {
		this.fileLocation = fileLocation;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getBodyFile() {
		return bodyFile;
	}
	public void setBodyFile(String bodyFile) {
		this.bodyFile = bodyFile;
	}
	public Integer getIdDokumen() {
		return idDokumen;
	}
	public void setIdDokumen(Integer idDokumen) {
		this.idDokumen = idDokumen;
	}
	public Integer getBulan() {
		return bulan;
	}
	public void setBulan(Integer bulan) {
		this.bulan = bulan;
	}
	public Integer getTahun() {
		return tahun;
	}
	public void setTahun(Integer tahun) {
		this.tahun = tahun;
	}
	public String getPerihal() {
		return perihal;
	}
	public void setPerihal(String perihal) {
		this.perihal = perihal;
	}
	public String getPerihalLampiran() {
		return perihalLampiran;
	}
	public void setPerihalLampiran(String perihalLampiran) {
		this.perihalLampiran = perihalLampiran;
	}
	public String getJangkaWaktuRange() {
		return jangkaWaktuRange;
	}
	public void setJangkaWaktuRange(String jangkaWaktuRange) {
		this.jangkaWaktuRange = jangkaWaktuRange;
	}
	public SifatSuratVO getSifatSurat() {
		return sifatSurat;
	}
	public void setSifatSurat(SifatSuratVO sifatSurat) {
		this.sifatSurat = sifatSurat;
	}
	public StatusBerkasVO getStatusBerkas() {
		return statusBerkas;
	}
	public void setStatusBerkas(StatusBerkasVO statusBerkas) {
		this.statusBerkas = statusBerkas;
	}
	public JenisSuratVO getJenisSurat() {
		return jenisSurat;
	}
	public void setJenisSurat(JenisSuratVO jenisSurat) {
		this.jenisSurat = jenisSurat;
	}
	public PegawaiVO getPetugasKirim() {
		return petugasKirim;
	}
	public void setPetugasKirim(PegawaiVO petugasKirim) {
		this.petugasKirim = petugasKirim;
	}
	public PegawaiVO getPegawaiPenerima() {
		return pegawaiPenerima;
	}
	public void setPegawaiPenerima(PegawaiVO pegawaiPenerima) {
		this.pegawaiPenerima = pegawaiPenerima;
	}
	public RuanganVO getRuanganPenerima() {
		return ruanganPenerima;
	}
	public void setRuanganPenerima(RuanganVO ruanganPenerima) {
		this.ruanganPenerima = ruanganPenerima;
	}
	public String getNoSurat() {
		return noSurat;
	}
	public void setNoSurat(String noSurat) {
		this.noSurat = noSurat;
	}
	public String getLampiran() {
		return lampiran;
	}
	public void setLampiran(String lampiran) {
		this.lampiran = lampiran;
	}
	public Set<RuanganVO> getRuanganTujuan() {
		return ruanganTujuan;
	}
	public void setRuanganTujuan(Set<RuanganVO> ruanganTujuan) {
		this.ruanganTujuan = ruanganTujuan;
	}
	public JenisArsipVO getJenisArsip() {
		return jenisArsip;
	}
	public void setJenisArsip(JenisArsipVO jenisArsip) {
		this.jenisArsip = jenisArsip;
	}
	public String getJangkaWaktu() {
		return jangkaWaktu;
	}
	public void setJangkaWaktu(String jangkaWaktu) {
		this.jangkaWaktu = jangkaWaktu;
	}
	public MetodeKirimVO getMetodeKirim() {
		return metodeKirim;
	}
	public void setMetodeKirim(MetodeKirimVO metodeKirim) {
		this.metodeKirim = metodeKirim;
	}
	public UnitPengelolaPrakarsaSuratVO getUnitPengelolaPrakarsaSurat() {
		return unitPengelolaPrakarsaSurat;
	}
	public void setUnitPengelolaPrakarsaSurat(UnitPengelolaPrakarsaSuratVO unitPengelolaPrakarsaSurat) {
		this.unitPengelolaPrakarsaSurat = unitPengelolaPrakarsaSurat;
	}
	public TipePengirimSuratVO getTipePengirimSurat() {
		return tipePengirimSurat;
	}
	public void setTipePengirimSurat(TipePengirimSuratVO tipePengirimSurat) {
		this.tipePengirimSurat = tipePengirimSurat;
	}
	

}
